﻿#version 330

layout(location = 0) in vec4 position;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;

out VS_OUT
{
    float y;
} vs_out;

void main()
{
    gl_Position = projection * view * model * position;
    gl_Position /= gl_Position.w;
    vs_out.y = gl_Position.y;
}
